Loading...
Searching...
No Matches
BALL::DoubleParameter Class Reference

`#include <BALL/DOCKING/GENETICDOCK/parameter.h>`

Inheritance diagram for BALL::DoubleParameter:

## Public Member Functions

| DoubleParameter ()
| DoubleParameter (const DoubleParameter &)
virtual | ~DoubleParameter ()
const DoubleParameter & | operator= (const DoubleParameter &)
Public Member Functions inherited from BALL::GenericParameter
| GenericParameter ()
| GenericParameter (const GenericParameter &)
virtual | ~GenericParameter ()
const GenericParameter & | operator= (const GenericParameter &)
virtual String | getName ()

## Public Attributes

vector< double > | values

## Additional Inherited Members

Protected Attributes inherited from BALL::GenericParameter
String | name_

## Detailed Description

Definition at line 47 of file parameter.h.

## Constructor & Destructor Documentation

## DoubleParameter() [1/2]

BALL::DoubleParameter::DoubleParameter | ( |  | ) |

standard constructor

## DoubleParameter() [2/2]

BALL::DoubleParameter::DoubleParameter | ( | const DoubleParameter & |  | ) |

copy constructor

## ~DoubleParameter()

virtual BALL::DoubleParameter::~DoubleParameter | ( |  | ) |

virtual

destructor

## Member Function Documentation

## operator=()

const DoubleParameter & BALL::DoubleParameter::operator= | ( | const DoubleParameter & |  | ) |

assignment operator

## Member Data Documentation

## values

vector<double> BALL::DoubleParameter::values

parameter values

Definition at line 69 of file parameter.h.